| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::AccountInterfaceAvatarInterface Class Reference
Account proxies

`#include <TelepathyQt/AccountManager>`

Inherits Tp::AbstractInterface.

List of all members.

## Signals

- void AvatarChanged ()

## Public Member Functions

- AccountInterfaceAvatarInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- AccountInterfaceAvatarInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- AccountInterfaceAvatarInterface (Tp::DBusProxy *proxy)
- AccountInterfaceAvatarInterface (const Tp::Client::AccountInterface &mainInterface)
- AccountInterfaceAvatarInterface (const Tp::Client::AccountInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyAvatar () const
- Tp::PendingOperation * setPropertyAvatar (Tp::Avatar newValue)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Account.Interface.Avatar".

## Constructor & Destructor Documentation

Tp::Client::AccountInterfaceAvatarInterface::AccountInterfaceAvatarInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AccountInterfaceAvatarInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AccountInterfaceAvatarInterface::AccountInterfaceAvatarInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AccountInterfaceAvatarInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AccountInterfaceAvatarInterface::AccountInterfaceAvatarInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a AccountInterfaceAvatarInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::AccountInterfaceAvatarInterface::AccountInterfaceAvatarInterface | ( | const Tp::Client::AccountInterface & | mainInterface | ) | `[explicit]`

Creates a AccountInterfaceAvatarInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::AccountInterfaceAvatarInterface::AccountInterfaceAvatarInterface | ( | const Tp::Client::AccountInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a AccountInterfaceAvatarInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::AccountInterfaceAvatarInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Account.Interface.Avatar", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::AccountInterfaceAvatarInterface::requestPropertyAvatar | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Avatar` of type `Tp::Avatar`.

The avatar to set on this account for display to other contacts, represented as a structure containing the bytes of the avatar, and the MIME type as a string; may be set to an empty byte-array and an empty string to indicate no avatar. When the account becomes connected, the account manager SHOULD set this avatar using SetAvatar if appropriate.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::AccountInterfaceAvatarInterface::setPropertyAvatar | ( | Tp::Avatar | newValue | ) | `[inline]`

Asynchronous setter for the remote object property `Avatar` of type `Tp::Avatar`.

The avatar to set on this account for display to other contacts, represented as a structure containing the bytes of the avatar, and the MIME type as a string; may be set to an empty byte-array and an empty string to indicate no avatar. When the account becomes connected, the account manager SHOULD set this avatar using SetAvatar if appropriate.

Returns:
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariantMap* Tp::Client::AccountInterfaceAvatarInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::AccountInterfaceAvatarInterface::AvatarChanged | ( |  | ) | `[signal]`

Represents the signal `AvatarChanged` on the remote object.

Emitted when the Avatar property changes. The avatar itself is deliberately not included in this signal, to reduce bus traffic in the (likely common) case where no running application cares about the user's own avatar.

void Tp::Client::AccountInterfaceAvatarInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.